# List Artifacts

> Source: https://truto.one/docs/api-reference/unified-ci-cd-api/artifacts/list/

`GET /unified/ci-cd/artifacts`

Resource: **Artifacts** · API: **Unified CI/CD API**

## Supported integrations

Azure DevOps, CircleCI, GitHub, Jenkins

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`workspace_id`** _(string)_
  The unique identifier for the workspace
- **`build_id`** _(string)_
- **`job_id`** _(unknown)_
  The unique identifier for the job.
- **`repo_id`** _(unknown)_
- **`owner`** _(unknown)_
  The slug of the owner on Github.
- **`workflow_id`** _(string)_
  The id of the workflow to filter the artifacts by.

## Response body

- **`result`** _(array<object>)_
  List of Artifacts
  - **`id`** _(string, required)_
    The unique identifier for the artifact
  - **`name`** _(string)_
    The name of the artifact
  - **`workflow`** _(string)_
    The workflow that the artifact belongs to
  - **`build`** _(string)_
    The build that the artifact belongs to
  - **`size_in_bytes`** _(integer)_
    The size of the artifact in bytes
  - **`download_url`** _(string)_
    The URL to download the artifact
  - **`created_at`** _(string)_
    The date and time when the artifact was created
  - **`updated_at`** _(string)_
    The date and time when the artifact was last updated
  - **`expires_at`** _(string)_
    The date and time when the artifact will expire
  - **`expired`** _(boolean)_
    Whether the artifact is available for download
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ci-cd/artifacts?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ci-cd/artifacts?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ci-cd/artifacts"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ci-cd',
  'artifacts',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ci-cd",
        "artifacts",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
